### Class

# Panel Position

#### Description

    final class Panel.Position : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### panel_position_new

No description available.

###### panel_position_new_from_variant

No description available.

#### Instance methods

###### panel_position_equal

No description available.

###### panel_position_get_area

No description available.

###### panel_position_get_area_set

No description available.

###### panel_position_get_column

No description available.

###### panel_position_get_column_set

No description available.

###### panel_position_get_depth

No description available.

###### panel_position_get_depth_set

No description available.

###### panel_position_get_row

No description available.

###### panel_position_get_row_set

No description available.

###### panel_position_is_indeterminate

No description available.

###### panel_position_set_area

No description available.

###### panel_position_set_area_set

No description available.

###### panel_position_set_column

No description available.

###### panel_position_set_column_set

No description available.

###### panel_position_set_depth

No description available.

###### panel_position_set_depth_set

No description available.

###### panel_position_set_row

No description available.

###### panel_position_set_row_set

No description available.

###### panel_position_to_variant

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Panel.Position:area

No description available.

###### Panel.Position:area-set

No description available.

###### Panel.Position:column

No description available.

###### Panel.Position:column-set

No description available.

###### Panel.Position:depth

No description available.

###### Panel.Position:depth-set

No description available.

###### Panel.Position:row

No description available.

###### Panel.Position:row-set

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PanelPositionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.